#!/bin/sh


. /usr/lib/moblin-installer/lib/installer.sh

pre_scsi_disk_number=$( ls /sys/class/scsi_disk | wc -l)
echo pre_scsi_disk_number=${pre_scsi_disk_number} >> $INSTALLER_CONFIG

found=no
# Find the install disk
mount -t proc none /proc
while true; do
      for device in 'hda' 'hdb' 'sda' 'sdb'
      do
        echo "checking device: /dev/${device} for installation target"
        if [ -e /sys/block/${device}/removable ]; then
           if [ "$(cat /sys/block/${device}/removable)" = "0" ]; then
              if cat /proc/mounts | grep /dev/${device}
              then
                  continue
              else
                  found="yes"
                  splash_display "found harddisk at /dev/${device}"
                  break
              fi
           fi
         fi
      done
      if [ "$found" = "yes" ]; then
        break;
      fi
      /bin/sleep 5
      echo "Did not find an installation target device."
      break
done

if [ "$found" = "no" ]; then
	exit 1
fi


echo "Will install to /dev/${device}"
echo install_device=${device} >> $INSTALLER_CONFIG


exit 0
