#!/bin/sh


. /usr/lib/moblin-installer/lib/installer.sh


if [ -z ${install_device} ]; then
	exit 1
fi

blocks=`fdisk -s /dev/${install_device}`
cylinders=$((blocks*2/63/255))


swapoff -a
splash_delay 200
splash_display "Deleting Partition Table on /dev/${install_device} ..."
splash_delay 200
dd if=/dev/zero of=/dev/${install_device} bs=512 count=2
sync
splash_progress 5
splash_delay 10

splash_display "Creating New Partiton Table on /dev/${install_device} ..."
splash_delay 200


PART=`mktemp`
sfdisk /dev/${install_device}  << EOF
,$((boot_partition_size*1000/8192)),L
,$((swap_partition_size*1000/8192)),S
;
EOF

sync

mount /dev/${device}1 /.asjdflasjdf
splash_progress 10
splash_delay 10
splash_display "Formatting /dev/${device}1 w/ ext3..."
splash_delay 200
mkfs.ext3 -q /dev/${device}1
sync
splash_progress 20
splash_delay 10
splash_display "Formatting /dev/${device}2 w/ ext3..."
splash_delay 200
mkfs.ext3 -q /dev/${device}2
sync
splash_progress 60
splash_delay 10
if [ $swap_partition_size -ne 0 ]
then
    splash_display "Formatting /dev/${device}3 w/ swap..."
    splash_delay 1000
    mkswap /dev/${device}3
    if [ $fat32_partition_size -ne 0 ]
    then
       splash_display "Formatting /dev/${device}4 w/ vfat..."
       splash_delay 1000
       mkfs.vfat -q /dev/${device}4
    fi
else if [ $fat32_partition_size -ne 0 ]
     then
       splash_display "Formatting /dev/${device}3 w/ vfat..."
       splash_delay 1000
       mkfs.vfat -q /dev/${device}3
    fi
fi
sync
splash_progress 65
splash_delay 10
splash_display 'Mounting partitions...'
splash_delay 200

MNTDIR=`mktemp -d`
FSDIR=`mktemp -d`

mount /dev/${device}2 $MNTDIR
mkdir $MNTDIR/boot
mount /dev/${device}1 $MNTDIR/boot
splash_progress 70
splash_delay 10

splash_display 'Copying system files onto hard disk drive...'
splash_delay 200
echo "Copying root filesystem..."
mkdir $FSDIR/squash
mkdir $FSDIR/root
mount -o loop -t squashfs /mnt/live/LiveOS/squashfs.img $FSDIR/squash
mount -o loop  $FSDIR/squash/LiveOS/ext3fs.img $FSDIR/root
splash_display 'Copying system ROOT onto hard disk drive...'
cp -av $FSDIR/root/. $MNTDIR



exit 0


