#!/bin/bash
comment="# This file was created by $0"
default_arg='quiet'
grub_config_file="/boot/grub/grub.conf"
grub_config_bak_file="/boot/grub/grub.conf.bak"

usage ()
{
   echo "Usage: $0 [kernel parameter]"
   echo "Create the grub configuration file for moblin"
}

case "$1" in
   -*) usage; exit ;;
   --h) usage; exit ;;
   *)args=${1}
esac

[ -z ${args} ] && args=${default_arg}

[ -e ${grub_config_file} ] && mv ${grub_config_file} ${grub_config_bak_file}

echo ${comment} > ${grub_config_file}

kerns=$(ls /boot/vmlinuz* ) > /dev/null 2>&1

for kern in ${kerns} 
do
   kern=$(echo ${kern} | sed -e 's/\/boot//g')
   echo "add ${kern} to grub config file"
   /sbin/grubby --add-kernel="     ${kern}" --args="${args}" -c ${grub_config_file}  --grub  --title="Moblin"
done 
